classification
Title: names in types module
Type: Stage:
Components: Interpreter Core Versions:
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: effbot, loewis, orenti
Priority: normal Keywords: patch

Created on 2002-06-15 09:28 by orenti, last changed 2002-10-13 12:48 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
typesmodule.patch orenti, 2002-06-15 09:28
typesmodule2.patch orenti, 2002-06-18 14:36
typesmodule2.patch orenti, 2002-06-18 14:36
typesmodule2.patch orenti, 2002-06-18 14:39
typesmodule2.patch orenti, 2002-06-18 14:40
Messages (6)
msg40315 - (view) Author: Oren Tirosh (orenti) Date: 2002-06-15 09:28
Adds names to types module so types are accessible as 
'type.spam' in addition to the existing longer version 
'types.SpamType'. 

The short names match the type's __name__ attribute.

msg40316 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-06-15 10:05
Logged In: YES 
user_id=21627

What is the purpose of this change?
msg40317 - (view) Author: Oren Tirosh (orenti) Date: 2002-06-15 10:58
Logged In: YES 
user_id=562624

http://mail.python.org/pipermail/python-dev/2002-June/025410.html
msg40318 - (view) Author: Oren Tirosh (orenti) Date: 2002-06-18 14:40
Logged In: YES 
user_id=562624

Updated patch.
msg40319 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2002-07-01 18:15
Logged In: YES 
user_id=38376

"from * import types" is a rather common pydiom, and I'm 
pretty sure most people using that expects to get a bunch of 
[A-Z]\w+Type names, and nothing else.

-0 from me.
msg40320 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2002-10-13 12:48
Logged In: YES 
user_id=21627

Oren, I sympathise with Fredrik's view. Unless there is
somebody speaking in favour of these changes, I'll reject
this patch by November 1.
History
Date User Action Args
2002-06-15 09:28:34orenticreate